#ifndef SAOROPT_H
#define SAOROPT_H
#include <vector>
#include "Problem.h"
#include "Solution.h"
#include "fairSAControl.h"
#include "Random.h"

/*
  orOpt.h
  Header file for the function orOpt(), which performs the Or Opt local
  search for a VRPSD problem.
*/

void SAorOpt(Random* rnd, fairSAControl&, Solution& initialSolution );

#endif
