#ifndef FAIRSACONTROL_H
#define FAIRSACONTROL_H

/*
	This is VRPSD's control class.  All metaheuristics
	implementations should use it for their command line options and
	output.
*/

#include <string>
#include <map>
#include <iostream>
#include <fstream>
#include "Control.h"

using namespace std;

#include "Timer.h"

class fairSAControl:public Control {
 public:
  fairSAControl( int a, char** b ):Control(a,b){}; 
  fairSAControl( void ):Control() {};
  ~fairSAControl() {};
  bool setSAOrOptParameters();
  float rateTempLength;
  float initTempFactor;
  float alfa;
  float idle_length_reheating;

};

#endif




